unit schEmpresasServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, schEmpresasClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_EmpresasDelta = '{6B1221C2-AF55-4833-86A5-B17E72AD9776}';
  RID_EmpresasDatosBancoDelta = '{5ADBB10D-263B-49A2-9F6E-B432AB5A76D1}';
  RID_Empresas_RefreshDelta = '{922EDFCA-3764-4B42-9B8D-BF1841156D54}';
  RID_EmpresasDatosBanco_RefreshDelta = '{BF0D6D54-14FC-4676-B1A0-DF972799F923}';

type
  { IEmpresasDelta }
  IEmpresasDelta = interface(IEmpresas)
  ['{6B1221C2-AF55-4833-86A5-B17E72AD9776}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldNIF_CIFValue : String;
    function GetOldNOMBREValue : String;
    function GetOldRAZON_SOCIALValue : String;
    function GetOldCALLEValue : String;
    function GetOldPOBLACIONValue : String;
    function GetOldPROVINCIAValue : String;
    function GetOldCODIGO_POSTALValue : String;
    function GetOldTELEFONO_1Value : String;
    function GetOldTELEFONO_2Value : String;
    function GetOldMOVIL_1Value : String;
    function GetOldMOVIL_2Value : String;
    function GetOldFAXValue : String;
    function GetOldEMAIL_1Value : String;
    function GetOldEMAIL_2Value : String;
    function GetOldPAGINA_WEBValue : String;
    function GetOldNOTASValue : IROStrings;
    function GetOldFECHA_ALTAValue : DateTime;
    function GetOldFECHA_MODIFICACIONValue : DateTime;
    function GetOldUSUARIOValue : String;
    function GetOldLOGOTIPOValue : IROStream;
    function GetOldREGISTRO_MERCANTILValue : String;
    function GetOldIVAValue : Float;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldNIF_CIF : String read GetOldNIF_CIFValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property OldRAZON_SOCIAL : String read GetOldRAZON_SOCIALValue;
    property OldCALLE : String read GetOldCALLEValue;
    property OldPOBLACION : String read GetOldPOBLACIONValue;
    property OldPROVINCIA : String read GetOldPROVINCIAValue;
    property OldCODIGO_POSTAL : String read GetOldCODIGO_POSTALValue;
    property OldTELEFONO_1 : String read GetOldTELEFONO_1Value;
    property OldTELEFONO_2 : String read GetOldTELEFONO_2Value;
    property OldMOVIL_1 : String read GetOldMOVIL_1Value;
    property OldMOVIL_2 : String read GetOldMOVIL_2Value;
    property OldFAX : String read GetOldFAXValue;
    property OldEMAIL_1 : String read GetOldEMAIL_1Value;
    property OldEMAIL_2 : String read GetOldEMAIL_2Value;
    property OldPAGINA_WEB : String read GetOldPAGINA_WEBValue;
    property OldNOTAS : IROStrings read GetOldNOTASValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldLOGOTIPO : IROStream read GetOldLOGOTIPOValue;
    property OldREGISTRO_MERCANTIL : String read GetOldREGISTRO_MERCANTILValue;
    property OldIVA : Float read GetOldIVAValue;
  end;

  { TEmpresasBusinessProcessorRules }
  TEmpresasBusinessProcessorRules = class(TDABusinessProcessorRules, IEmpresas, IEmpresasDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetNIF_CIFValue: String; virtual;
    function GetOldNIF_CIFValue: String; virtual;
    procedure SetNIF_CIFValue(const aValue: String); virtual;
    function GetNOMBREValue: String; virtual;
    function GetOldNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetRAZON_SOCIALValue: String; virtual;
    function GetOldRAZON_SOCIALValue: String; virtual;
    procedure SetRAZON_SOCIALValue(const aValue: String); virtual;
    function GetCALLEValue: String; virtual;
    function GetOldCALLEValue: String; virtual;
    procedure SetCALLEValue(const aValue: String); virtual;
    function GetPOBLACIONValue: String; virtual;
    function GetOldPOBLACIONValue: String; virtual;
    procedure SetPOBLACIONValue(const aValue: String); virtual;
    function GetPROVINCIAValue: String; virtual;
    function GetOldPROVINCIAValue: String; virtual;
    procedure SetPROVINCIAValue(const aValue: String); virtual;
    function GetCODIGO_POSTALValue: String; virtual;
    function GetOldCODIGO_POSTALValue: String; virtual;
    procedure SetCODIGO_POSTALValue(const aValue: String); virtual;
    function GetTELEFONO_1Value: String; virtual;
    function GetOldTELEFONO_1Value: String; virtual;
    procedure SetTELEFONO_1Value(const aValue: String); virtual;
    function GetTELEFONO_2Value: String; virtual;
    function GetOldTELEFONO_2Value: String; virtual;
    procedure SetTELEFONO_2Value(const aValue: String); virtual;
    function GetMOVIL_1Value: String; virtual;
    function GetOldMOVIL_1Value: String; virtual;
    procedure SetMOVIL_1Value(const aValue: String); virtual;
    function GetMOVIL_2Value: String; virtual;
    function GetOldMOVIL_2Value: String; virtual;
    procedure SetMOVIL_2Value(const aValue: String); virtual;
    function GetFAXValue: String; virtual;
    function GetOldFAXValue: String; virtual;
    procedure SetFAXValue(const aValue: String); virtual;
    function GetEMAIL_1Value: String; virtual;
    function GetOldEMAIL_1Value: String; virtual;
    procedure SetEMAIL_1Value(const aValue: String); virtual;
    function GetEMAIL_2Value: String; virtual;
    function GetOldEMAIL_2Value: String; virtual;
    procedure SetEMAIL_2Value(const aValue: String); virtual;
    function GetPAGINA_WEBValue: String; virtual;
    function GetOldPAGINA_WEBValue: String; virtual;
    procedure SetPAGINA_WEBValue(const aValue: String); virtual;
    function GetNOTASValue: IROStrings; virtual;
    function GetOldNOTASValue: IROStrings; virtual;
    procedure SetNOTASValue(const aValue: IROStrings); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    function GetOldFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    function GetOldFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetOldUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetLOGOTIPOValue: IROStream; virtual;
    function GetOldLOGOTIPOValue: IROStream; virtual;
    procedure SetLOGOTIPOValue(const aValue: IROStream); virtual;
    function GetREGISTRO_MERCANTILValue: String; virtual;
    function GetOldREGISTRO_MERCANTILValue: String; virtual;
    procedure SetREGISTRO_MERCANTILValue(const aValue: String); virtual;
    function GetIVAValue: Float; virtual;
    function GetOldIVAValue: Float; virtual;
    procedure SetIVAValue(const aValue: Float); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property NIF_CIF : String read GetNIF_CIFValue write SetNIF_CIFValue;
    property OldNIF_CIF : String read GetOldNIF_CIFValue;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property RAZON_SOCIAL : String read GetRAZON_SOCIALValue write SetRAZON_SOCIALValue;
    property OldRAZON_SOCIAL : String read GetOldRAZON_SOCIALValue;
    property CALLE : String read GetCALLEValue write SetCALLEValue;
    property OldCALLE : String read GetOldCALLEValue;
    property POBLACION : String read GetPOBLACIONValue write SetPOBLACIONValue;
    property OldPOBLACION : String read GetOldPOBLACIONValue;
    property PROVINCIA : String read GetPROVINCIAValue write SetPROVINCIAValue;
    property OldPROVINCIA : String read GetOldPROVINCIAValue;
    property CODIGO_POSTAL : String read GetCODIGO_POSTALValue write SetCODIGO_POSTALValue;
    property OldCODIGO_POSTAL : String read GetOldCODIGO_POSTALValue;
    property TELEFONO_1 : String read GetTELEFONO_1Value write SetTELEFONO_1Value;
    property OldTELEFONO_1 : String read GetOldTELEFONO_1Value;
    property TELEFONO_2 : String read GetTELEFONO_2Value write SetTELEFONO_2Value;
    property OldTELEFONO_2 : String read GetOldTELEFONO_2Value;
    property MOVIL_1 : String read GetMOVIL_1Value write SetMOVIL_1Value;
    property OldMOVIL_1 : String read GetOldMOVIL_1Value;
    property MOVIL_2 : String read GetMOVIL_2Value write SetMOVIL_2Value;
    property OldMOVIL_2 : String read GetOldMOVIL_2Value;
    property FAX : String read GetFAXValue write SetFAXValue;
    property OldFAX : String read GetOldFAXValue;
    property EMAIL_1 : String read GetEMAIL_1Value write SetEMAIL_1Value;
    property OldEMAIL_1 : String read GetOldEMAIL_1Value;
    property EMAIL_2 : String read GetEMAIL_2Value write SetEMAIL_2Value;
    property OldEMAIL_2 : String read GetOldEMAIL_2Value;
    property PAGINA_WEB : String read GetPAGINA_WEBValue write SetPAGINA_WEBValue;
    property OldPAGINA_WEB : String read GetOldPAGINA_WEBValue;
    property NOTAS : IROStrings read GetNOTASValue write SetNOTASValue;
    property OldNOTAS : IROStrings read GetOldNOTASValue;
    property FECHA_ALTA : DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property FECHA_MODIFICACION : DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property LOGOTIPO : IROStream read GetLOGOTIPOValue write SetLOGOTIPOValue;
    property OldLOGOTIPO : IROStream read GetOldLOGOTIPOValue;
    property REGISTRO_MERCANTIL : String read GetREGISTRO_MERCANTILValue write SetREGISTRO_MERCANTILValue;
    property OldREGISTRO_MERCANTIL : String read GetOldREGISTRO_MERCANTILValue;
    property IVA : Float read GetIVAValue write SetIVAValue;
    property OldIVA : Float read GetOldIVAValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IEmpresasDatosBancoDelta }
  IEmpresasDatosBancoDelta = interface(IEmpresasDatosBanco)
  ['{5ADBB10D-263B-49A2-9F6E-B432AB5A76D1}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldNOMBREValue : String;
    function GetOldENTIDADValue : String;
    function GetOldSUCURSALValue : String;
    function GetOldDCValue : String;
    function GetOldCUENTAValue : String;
    function GetOldSUFIJO_N19Value : String;
    function GetOldSUFIJO_N58Value : String;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property OldENTIDAD : String read GetOldENTIDADValue;
    property OldSUCURSAL : String read GetOldSUCURSALValue;
    property OldDC : String read GetOldDCValue;
    property OldCUENTA : String read GetOldCUENTAValue;
    property OldSUFIJO_N19 : String read GetOldSUFIJO_N19Value;
    property OldSUFIJO_N58 : String read GetOldSUFIJO_N58Value;
  end;

  { TEmpresasDatosBancoBusinessProcessorRules }
  TEmpresasDatosBancoBusinessProcessorRules = class(TDABusinessProcessorRules, IEmpresasDatosBanco, IEmpresasDatosBancoDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetNOMBREValue: String; virtual;
    function GetOldNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetENTIDADValue: String; virtual;
    function GetOldENTIDADValue: String; virtual;
    procedure SetENTIDADValue(const aValue: String); virtual;
    function GetSUCURSALValue: String; virtual;
    function GetOldSUCURSALValue: String; virtual;
    procedure SetSUCURSALValue(const aValue: String); virtual;
    function GetDCValue: String; virtual;
    function GetOldDCValue: String; virtual;
    procedure SetDCValue(const aValue: String); virtual;
    function GetCUENTAValue: String; virtual;
    function GetOldCUENTAValue: String; virtual;
    procedure SetCUENTAValue(const aValue: String); virtual;
    function GetSUFIJO_N19Value: String; virtual;
    function GetOldSUFIJO_N19Value: String; virtual;
    procedure SetSUFIJO_N19Value(const aValue: String); virtual;
    function GetSUFIJO_N58Value: String; virtual;
    function GetOldSUFIJO_N58Value: String; virtual;
    procedure SetSUFIJO_N58Value(const aValue: String); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property ENTIDAD : String read GetENTIDADValue write SetENTIDADValue;
    property OldENTIDAD : String read GetOldENTIDADValue;
    property SUCURSAL : String read GetSUCURSALValue write SetSUCURSALValue;
    property OldSUCURSAL : String read GetOldSUCURSALValue;
    property DC : String read GetDCValue write SetDCValue;
    property OldDC : String read GetOldDCValue;
    property CUENTA : String read GetCUENTAValue write SetCUENTAValue;
    property OldCUENTA : String read GetOldCUENTAValue;
    property SUFIJO_N19 : String read GetSUFIJO_N19Value write SetSUFIJO_N19Value;
    property OldSUFIJO_N19 : String read GetOldSUFIJO_N19Value;
    property SUFIJO_N58 : String read GetSUFIJO_N58Value write SetSUFIJO_N58Value;
    property OldSUFIJO_N58 : String read GetOldSUFIJO_N58Value;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IEmpresas_RefreshDelta }
  IEmpresas_RefreshDelta = interface(IEmpresas_Refresh)
  ['{922EDFCA-3764-4B42-9B8D-BF1841156D54}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldNIF_CIFValue : String;
    function GetOldNOMBREValue : String;
    function GetOldRAZON_SOCIALValue : String;
    function GetOldCALLEValue : String;
    function GetOldPOBLACIONValue : String;
    function GetOldPROVINCIAValue : String;
    function GetOldCODIGO_POSTALValue : String;
    function GetOldTELEFONO_1Value : String;
    function GetOldTELEFONO_2Value : String;
    function GetOldMOVIL_1Value : String;
    function GetOldMOVIL_2Value : String;
    function GetOldFAXValue : String;
    function GetOldEMAIL_1Value : String;
    function GetOldEMAIL_2Value : String;
    function GetOldPAGINA_WEBValue : String;
    function GetOldNOTASValue : IROStrings;
    function GetOldFECHA_ALTAValue : DateTime;
    function GetOldFECHA_MODIFICACIONValue : DateTime;
    function GetOldUSUARIOValue : String;
    function GetOldLOGOTIPOValue : IROStream;
    function GetOldREGISTRO_MERCANTILValue : String;
    function GetOldIVAValue : Float;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldNIF_CIF : String read GetOldNIF_CIFValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property OldRAZON_SOCIAL : String read GetOldRAZON_SOCIALValue;
    property OldCALLE : String read GetOldCALLEValue;
    property OldPOBLACION : String read GetOldPOBLACIONValue;
    property OldPROVINCIA : String read GetOldPROVINCIAValue;
    property OldCODIGO_POSTAL : String read GetOldCODIGO_POSTALValue;
    property OldTELEFONO_1 : String read GetOldTELEFONO_1Value;
    property OldTELEFONO_2 : String read GetOldTELEFONO_2Value;
    property OldMOVIL_1 : String read GetOldMOVIL_1Value;
    property OldMOVIL_2 : String read GetOldMOVIL_2Value;
    property OldFAX : String read GetOldFAXValue;
    property OldEMAIL_1 : String read GetOldEMAIL_1Value;
    property OldEMAIL_2 : String read GetOldEMAIL_2Value;
    property OldPAGINA_WEB : String read GetOldPAGINA_WEBValue;
    property OldNOTAS : IROStrings read GetOldNOTASValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldLOGOTIPO : IROStream read GetOldLOGOTIPOValue;
    property OldREGISTRO_MERCANTIL : String read GetOldREGISTRO_MERCANTILValue;
    property OldIVA : Float read GetOldIVAValue;
  end;

  { TEmpresas_RefreshBusinessProcessorRules }
  TEmpresas_RefreshBusinessProcessorRules = class(TDABusinessProcessorRules, IEmpresas_Refresh, IEmpresas_RefreshDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetNIF_CIFValue: String; virtual;
    function GetOldNIF_CIFValue: String; virtual;
    procedure SetNIF_CIFValue(const aValue: String); virtual;
    function GetNOMBREValue: String; virtual;
    function GetOldNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetRAZON_SOCIALValue: String; virtual;
    function GetOldRAZON_SOCIALValue: String; virtual;
    procedure SetRAZON_SOCIALValue(const aValue: String); virtual;
    function GetCALLEValue: String; virtual;
    function GetOldCALLEValue: String; virtual;
    procedure SetCALLEValue(const aValue: String); virtual;
    function GetPOBLACIONValue: String; virtual;
    function GetOldPOBLACIONValue: String; virtual;
    procedure SetPOBLACIONValue(const aValue: String); virtual;
    function GetPROVINCIAValue: String; virtual;
    function GetOldPROVINCIAValue: String; virtual;
    procedure SetPROVINCIAValue(const aValue: String); virtual;
    function GetCODIGO_POSTALValue: String; virtual;
    function GetOldCODIGO_POSTALValue: String; virtual;
    procedure SetCODIGO_POSTALValue(const aValue: String); virtual;
    function GetTELEFONO_1Value: String; virtual;
    function GetOldTELEFONO_1Value: String; virtual;
    procedure SetTELEFONO_1Value(const aValue: String); virtual;
    function GetTELEFONO_2Value: String; virtual;
    function GetOldTELEFONO_2Value: String; virtual;
    procedure SetTELEFONO_2Value(const aValue: String); virtual;
    function GetMOVIL_1Value: String; virtual;
    function GetOldMOVIL_1Value: String; virtual;
    procedure SetMOVIL_1Value(const aValue: String); virtual;
    function GetMOVIL_2Value: String; virtual;
    function GetOldMOVIL_2Value: String; virtual;
    procedure SetMOVIL_2Value(const aValue: String); virtual;
    function GetFAXValue: String; virtual;
    function GetOldFAXValue: String; virtual;
    procedure SetFAXValue(const aValue: String); virtual;
    function GetEMAIL_1Value: String; virtual;
    function GetOldEMAIL_1Value: String; virtual;
    procedure SetEMAIL_1Value(const aValue: String); virtual;
    function GetEMAIL_2Value: String; virtual;
    function GetOldEMAIL_2Value: String; virtual;
    procedure SetEMAIL_2Value(const aValue: String); virtual;
    function GetPAGINA_WEBValue: String; virtual;
    function GetOldPAGINA_WEBValue: String; virtual;
    procedure SetPAGINA_WEBValue(const aValue: String); virtual;
    function GetNOTASValue: IROStrings; virtual;
    function GetOldNOTASValue: IROStrings; virtual;
    procedure SetNOTASValue(const aValue: IROStrings); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    function GetOldFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    function GetOldFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetOldUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetLOGOTIPOValue: IROStream; virtual;
    function GetOldLOGOTIPOValue: IROStream; virtual;
    procedure SetLOGOTIPOValue(const aValue: IROStream); virtual;
    function GetREGISTRO_MERCANTILValue: String; virtual;
    function GetOldREGISTRO_MERCANTILValue: String; virtual;
    procedure SetREGISTRO_MERCANTILValue(const aValue: String); virtual;
    function GetIVAValue: Float; virtual;
    function GetOldIVAValue: Float; virtual;
    procedure SetIVAValue(const aValue: Float); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property NIF_CIF : String read GetNIF_CIFValue write SetNIF_CIFValue;
    property OldNIF_CIF : String read GetOldNIF_CIFValue;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property RAZON_SOCIAL : String read GetRAZON_SOCIALValue write SetRAZON_SOCIALValue;
    property OldRAZON_SOCIAL : String read GetOldRAZON_SOCIALValue;
    property CALLE : String read GetCALLEValue write SetCALLEValue;
    property OldCALLE : String read GetOldCALLEValue;
    property POBLACION : String read GetPOBLACIONValue write SetPOBLACIONValue;
    property OldPOBLACION : String read GetOldPOBLACIONValue;
    property PROVINCIA : String read GetPROVINCIAValue write SetPROVINCIAValue;
    property OldPROVINCIA : String read GetOldPROVINCIAValue;
    property CODIGO_POSTAL : String read GetCODIGO_POSTALValue write SetCODIGO_POSTALValue;
    property OldCODIGO_POSTAL : String read GetOldCODIGO_POSTALValue;
    property TELEFONO_1 : String read GetTELEFONO_1Value write SetTELEFONO_1Value;
    property OldTELEFONO_1 : String read GetOldTELEFONO_1Value;
    property TELEFONO_2 : String read GetTELEFONO_2Value write SetTELEFONO_2Value;
    property OldTELEFONO_2 : String read GetOldTELEFONO_2Value;
    property MOVIL_1 : String read GetMOVIL_1Value write SetMOVIL_1Value;
    property OldMOVIL_1 : String read GetOldMOVIL_1Value;
    property MOVIL_2 : String read GetMOVIL_2Value write SetMOVIL_2Value;
    property OldMOVIL_2 : String read GetOldMOVIL_2Value;
    property FAX : String read GetFAXValue write SetFAXValue;
    property OldFAX : String read GetOldFAXValue;
    property EMAIL_1 : String read GetEMAIL_1Value write SetEMAIL_1Value;
    property OldEMAIL_1 : String read GetOldEMAIL_1Value;
    property EMAIL_2 : String read GetEMAIL_2Value write SetEMAIL_2Value;
    property OldEMAIL_2 : String read GetOldEMAIL_2Value;
    property PAGINA_WEB : String read GetPAGINA_WEBValue write SetPAGINA_WEBValue;
    property OldPAGINA_WEB : String read GetOldPAGINA_WEBValue;
    property NOTAS : IROStrings read GetNOTASValue write SetNOTASValue;
    property OldNOTAS : IROStrings read GetOldNOTASValue;
    property FECHA_ALTA : DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property FECHA_MODIFICACION : DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property LOGOTIPO : IROStream read GetLOGOTIPOValue write SetLOGOTIPOValue;
    property OldLOGOTIPO : IROStream read GetOldLOGOTIPOValue;
    property REGISTRO_MERCANTIL : String read GetREGISTRO_MERCANTILValue write SetREGISTRO_MERCANTILValue;
    property OldREGISTRO_MERCANTIL : String read GetOldREGISTRO_MERCANTILValue;
    property IVA : Float read GetIVAValue write SetIVAValue;
    property OldIVA : Float read GetOldIVAValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IEmpresasDatosBanco_RefreshDelta }
  IEmpresasDatosBanco_RefreshDelta = interface(IEmpresasDatosBanco_Refresh)
  ['{BF0D6D54-14FC-4676-B1A0-DF972799F923}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldNOMBREValue : String;
    function GetOldENTIDADValue : String;
    function GetOldSUCURSALValue : String;
    function GetOldDCValue : String;
    function GetOldCUENTAValue : String;
    function GetOldSUFIJO_N19Value : String;
    function GetOldSUFIJO_N58Value : String;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property OldENTIDAD : String read GetOldENTIDADValue;
    property OldSUCURSAL : String read GetOldSUCURSALValue;
    property OldDC : String read GetOldDCValue;
    property OldCUENTA : String read GetOldCUENTAValue;
    property OldSUFIJO_N19 : String read GetOldSUFIJO_N19Value;
    property OldSUFIJO_N58 : String read GetOldSUFIJO_N58Value;
  end;

  { TEmpresasDatosBanco_RefreshBusinessProcessorRules }
  TEmpresasDatosBanco_RefreshBusinessProcessorRules = class(TDABusinessProcessorRules, IEmpresasDatosBanco_Refresh, IEmpresasDatosBanco_RefreshDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetNOMBREValue: String; virtual;
    function GetOldNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetENTIDADValue: String; virtual;
    function GetOldENTIDADValue: String; virtual;
    procedure SetENTIDADValue(const aValue: String); virtual;
    function GetSUCURSALValue: String; virtual;
    function GetOldSUCURSALValue: String; virtual;
    procedure SetSUCURSALValue(const aValue: String); virtual;
    function GetDCValue: String; virtual;
    function GetOldDCValue: String; virtual;
    procedure SetDCValue(const aValue: String); virtual;
    function GetCUENTAValue: String; virtual;
    function GetOldCUENTAValue: String; virtual;
    procedure SetCUENTAValue(const aValue: String); virtual;
    function GetSUFIJO_N19Value: String; virtual;
    function GetOldSUFIJO_N19Value: String; virtual;
    procedure SetSUFIJO_N19Value(const aValue: String); virtual;
    function GetSUFIJO_N58Value: String; virtual;
    function GetOldSUFIJO_N58Value: String; virtual;
    procedure SetSUFIJO_N58Value(const aValue: String); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property ENTIDAD : String read GetENTIDADValue write SetENTIDADValue;
    property OldENTIDAD : String read GetOldENTIDADValue;
    property SUCURSAL : String read GetSUCURSALValue write SetSUCURSALValue;
    property OldSUCURSAL : String read GetOldSUCURSALValue;
    property DC : String read GetDCValue write SetDCValue;
    property OldDC : String read GetOldDCValue;
    property CUENTA : String read GetCUENTAValue write SetCUENTAValue;
    property OldCUENTA : String read GetOldCUENTAValue;
    property SUFIJO_N19 : String read GetSUFIJO_N19Value write SetSUFIJO_N19Value;
    property OldSUFIJO_N19 : String read GetOldSUFIJO_N19Value;
    property SUFIJO_N58 : String read GetSUFIJO_N58Value write SetSUFIJO_N58Value;
    property OldSUFIJO_N58 : String read GetOldSUFIJO_N58Value;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers;

{ TEmpresasBusinessProcessorRules }
constructor TEmpresasBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TEmpresasBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TEmpresasBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasID];
end;

function TEmpresasBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasID];
end;

procedure TEmpresasBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasID] := aValue;
end;

function TEmpresasBusinessProcessorRules.GetNIF_CIFValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasNIF_CIF];
end;

function TEmpresasBusinessProcessorRules.GetOldNIF_CIFValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasNIF_CIF];
end;

procedure TEmpresasBusinessProcessorRules.SetNIF_CIFValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasNIF_CIF] := aValue;
end;

function TEmpresasBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasNOMBRE];
end;

function TEmpresasBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasNOMBRE];
end;

procedure TEmpresasBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasNOMBRE] := aValue;
end;

function TEmpresasBusinessProcessorRules.GetRAZON_SOCIALValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasRAZON_SOCIAL];
end;

function TEmpresasBusinessProcessorRules.GetOldRAZON_SOCIALValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasRAZON_SOCIAL];
end;

procedure TEmpresasBusinessProcessorRules.SetRAZON_SOCIALValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasRAZON_SOCIAL] := aValue;
end;

function TEmpresasBusinessProcessorRules.GetCALLEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasCALLE];
end;

function TEmpresasBusinessProcessorRules.GetOldCALLEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasCALLE];
end;

procedure TEmpresasBusinessProcessorRules.SetCALLEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasCALLE] := aValue;
end;

function TEmpresasBusinessProcessorRules.GetPOBLACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasPOBLACION];
end;

function TEmpresasBusinessProcessorRules.GetOldPOBLACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasPOBLACION];
end;

procedure TEmpresasBusinessProcessorRules.SetPOBLACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasPOBLACION] := aValue;
end;

function TEmpresasBusinessProcessorRules.GetPROVINCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasPROVINCIA];
end;

function TEmpresasBusinessProcessorRules.GetOldPROVINCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasPROVINCIA];
end;

procedure TEmpresasBusinessProcessorRules.SetPROVINCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasPROVINCIA] := aValue;
end;

function TEmpresasBusinessProcessorRules.GetCODIGO_POSTALValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasCODIGO_POSTAL];
end;

function TEmpresasBusinessProcessorRules.GetOldCODIGO_POSTALValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasCODIGO_POSTAL];
end;

procedure TEmpresasBusinessProcessorRules.SetCODIGO_POSTALValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasCODIGO_POSTAL] := aValue;
end;

function TEmpresasBusinessProcessorRules.GetTELEFONO_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasTELEFONO_1];
end;

function TEmpresasBusinessProcessorRules.GetOldTELEFONO_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasTELEFONO_1];
end;

procedure TEmpresasBusinessProcessorRules.SetTELEFONO_1Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasTELEFONO_1] := aValue;
end;

function TEmpresasBusinessProcessorRules.GetTELEFONO_2Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasTELEFONO_2];
end;

function TEmpresasBusinessProcessorRules.GetOldTELEFONO_2Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasTELEFONO_2];
end;

procedure TEmpresasBusinessProcessorRules.SetTELEFONO_2Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasTELEFONO_2] := aValue;
end;

function TEmpresasBusinessProcessorRules.GetMOVIL_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasMOVIL_1];
end;

function TEmpresasBusinessProcessorRules.GetOldMOVIL_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasMOVIL_1];
end;

procedure TEmpresasBusinessProcessorRules.SetMOVIL_1Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasMOVIL_1] := aValue;
end;

function TEmpresasBusinessProcessorRules.GetMOVIL_2Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasMOVIL_2];
end;

function TEmpresasBusinessProcessorRules.GetOldMOVIL_2Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasMOVIL_2];
end;

procedure TEmpresasBusinessProcessorRules.SetMOVIL_2Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasMOVIL_2] := aValue;
end;

function TEmpresasBusinessProcessorRules.GetFAXValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasFAX];
end;

function TEmpresasBusinessProcessorRules.GetOldFAXValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasFAX];
end;

procedure TEmpresasBusinessProcessorRules.SetFAXValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasFAX] := aValue;
end;

function TEmpresasBusinessProcessorRules.GetEMAIL_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasEMAIL_1];
end;

function TEmpresasBusinessProcessorRules.GetOldEMAIL_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasEMAIL_1];
end;

procedure TEmpresasBusinessProcessorRules.SetEMAIL_1Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasEMAIL_1] := aValue;
end;

function TEmpresasBusinessProcessorRules.GetEMAIL_2Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasEMAIL_2];
end;

function TEmpresasBusinessProcessorRules.GetOldEMAIL_2Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasEMAIL_2];
end;

procedure TEmpresasBusinessProcessorRules.SetEMAIL_2Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasEMAIL_2] := aValue;
end;

function TEmpresasBusinessProcessorRules.GetPAGINA_WEBValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasPAGINA_WEB];
end;

function TEmpresasBusinessProcessorRules.GetOldPAGINA_WEBValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasPAGINA_WEB];
end;

procedure TEmpresasBusinessProcessorRules.SetPAGINA_WEBValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasPAGINA_WEB] := aValue;
end;

function TEmpresasBusinessProcessorRules.GetNOTASValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasNOTAS];
end;

function TEmpresasBusinessProcessorRules.GetOldNOTASValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasNOTAS];
end;

procedure TEmpresasBusinessProcessorRules.SetNOTASValue(const aValue: IROStrings);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasNOTAS] := aValue.Text;
end;

function TEmpresasBusinessProcessorRules.GetFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasFECHA_ALTA];
end;

function TEmpresasBusinessProcessorRules.GetOldFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasFECHA_ALTA];
end;

procedure TEmpresasBusinessProcessorRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasFECHA_ALTA] := aValue;
end;

function TEmpresasBusinessProcessorRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasFECHA_MODIFICACION];
end;

function TEmpresasBusinessProcessorRules.GetOldFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasFECHA_MODIFICACION];
end;

procedure TEmpresasBusinessProcessorRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasFECHA_MODIFICACION] := aValue;
end;

function TEmpresasBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasUSUARIO];
end;

function TEmpresasBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasUSUARIO];
end;

procedure TEmpresasBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasUSUARIO] := aValue;
end;

function TEmpresasBusinessProcessorRules.GetLOGOTIPOValue: IROStream;
begin
  result := NewROStream();
  WriteVariantBinaryToBinary(BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasLOGOTIPO], result.Stream);
end;

function TEmpresasBusinessProcessorRules.GetOldLOGOTIPOValue: IROStream;
begin
  result := NewROStream();
  WriteVariantBinaryToBinary(BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasLOGOTIPO], result.Stream);
end;

procedure TEmpresasBusinessProcessorRules.SetLOGOTIPOValue(const aValue: IROStream);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasLOGOTIPO] := VariantBinaryFromBinary(aValue.Stream);
end;

function TEmpresasBusinessProcessorRules.GetREGISTRO_MERCANTILValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasREGISTRO_MERCANTIL];
end;

function TEmpresasBusinessProcessorRules.GetOldREGISTRO_MERCANTILValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasREGISTRO_MERCANTIL];
end;

procedure TEmpresasBusinessProcessorRules.SetREGISTRO_MERCANTILValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasREGISTRO_MERCANTIL] := aValue;
end;

function TEmpresasBusinessProcessorRules.GetIVAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasIVA];
end;

function TEmpresasBusinessProcessorRules.GetOldIVAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasIVA];
end;

procedure TEmpresasBusinessProcessorRules.SetIVAValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasIVA] := aValue;
end;


{ TEmpresasDatosBancoBusinessProcessorRules }
constructor TEmpresasDatosBancoBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TEmpresasDatosBancoBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TEmpresasDatosBancoBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBancoID];
end;

function TEmpresasDatosBancoBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasDatosBancoID];
end;

procedure TEmpresasDatosBancoBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBancoID] := aValue;
end;

function TEmpresasDatosBancoBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBancoID_EMPRESA];
end;

function TEmpresasDatosBancoBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasDatosBancoID_EMPRESA];
end;

procedure TEmpresasDatosBancoBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBancoID_EMPRESA] := aValue;
end;

function TEmpresasDatosBancoBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBancoNOMBRE];
end;

function TEmpresasDatosBancoBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasDatosBancoNOMBRE];
end;

procedure TEmpresasDatosBancoBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBancoNOMBRE] := aValue;
end;

function TEmpresasDatosBancoBusinessProcessorRules.GetENTIDADValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBancoENTIDAD];
end;

function TEmpresasDatosBancoBusinessProcessorRules.GetOldENTIDADValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasDatosBancoENTIDAD];
end;

procedure TEmpresasDatosBancoBusinessProcessorRules.SetENTIDADValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBancoENTIDAD] := aValue;
end;

function TEmpresasDatosBancoBusinessProcessorRules.GetSUCURSALValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBancoSUCURSAL];
end;

function TEmpresasDatosBancoBusinessProcessorRules.GetOldSUCURSALValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasDatosBancoSUCURSAL];
end;

procedure TEmpresasDatosBancoBusinessProcessorRules.SetSUCURSALValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBancoSUCURSAL] := aValue;
end;

function TEmpresasDatosBancoBusinessProcessorRules.GetDCValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBancoDC];
end;

function TEmpresasDatosBancoBusinessProcessorRules.GetOldDCValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasDatosBancoDC];
end;

procedure TEmpresasDatosBancoBusinessProcessorRules.SetDCValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBancoDC] := aValue;
end;

function TEmpresasDatosBancoBusinessProcessorRules.GetCUENTAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBancoCUENTA];
end;

function TEmpresasDatosBancoBusinessProcessorRules.GetOldCUENTAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasDatosBancoCUENTA];
end;

procedure TEmpresasDatosBancoBusinessProcessorRules.SetCUENTAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBancoCUENTA] := aValue;
end;

function TEmpresasDatosBancoBusinessProcessorRules.GetSUFIJO_N19Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBancoSUFIJO_N19];
end;

function TEmpresasDatosBancoBusinessProcessorRules.GetOldSUFIJO_N19Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasDatosBancoSUFIJO_N19];
end;

procedure TEmpresasDatosBancoBusinessProcessorRules.SetSUFIJO_N19Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBancoSUFIJO_N19] := aValue;
end;

function TEmpresasDatosBancoBusinessProcessorRules.GetSUFIJO_N58Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBancoSUFIJO_N58];
end;

function TEmpresasDatosBancoBusinessProcessorRules.GetOldSUFIJO_N58Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasDatosBancoSUFIJO_N58];
end;

procedure TEmpresasDatosBancoBusinessProcessorRules.SetSUFIJO_N58Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBancoSUFIJO_N58] := aValue;
end;


{ TEmpresas_RefreshBusinessProcessorRules }
constructor TEmpresas_RefreshBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TEmpresas_RefreshBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TEmpresas_RefreshBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshID];
end;

function TEmpresas_RefreshBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Empresas_RefreshID];
end;

procedure TEmpresas_RefreshBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshID] := aValue;
end;

function TEmpresas_RefreshBusinessProcessorRules.GetNIF_CIFValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshNIF_CIF];
end;

function TEmpresas_RefreshBusinessProcessorRules.GetOldNIF_CIFValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Empresas_RefreshNIF_CIF];
end;

procedure TEmpresas_RefreshBusinessProcessorRules.SetNIF_CIFValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshNIF_CIF] := aValue;
end;

function TEmpresas_RefreshBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshNOMBRE];
end;

function TEmpresas_RefreshBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Empresas_RefreshNOMBRE];
end;

procedure TEmpresas_RefreshBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshNOMBRE] := aValue;
end;

function TEmpresas_RefreshBusinessProcessorRules.GetRAZON_SOCIALValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshRAZON_SOCIAL];
end;

function TEmpresas_RefreshBusinessProcessorRules.GetOldRAZON_SOCIALValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Empresas_RefreshRAZON_SOCIAL];
end;

procedure TEmpresas_RefreshBusinessProcessorRules.SetRAZON_SOCIALValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshRAZON_SOCIAL] := aValue;
end;

function TEmpresas_RefreshBusinessProcessorRules.GetCALLEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshCALLE];
end;

function TEmpresas_RefreshBusinessProcessorRules.GetOldCALLEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Empresas_RefreshCALLE];
end;

procedure TEmpresas_RefreshBusinessProcessorRules.SetCALLEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshCALLE] := aValue;
end;

function TEmpresas_RefreshBusinessProcessorRules.GetPOBLACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshPOBLACION];
end;

function TEmpresas_RefreshBusinessProcessorRules.GetOldPOBLACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Empresas_RefreshPOBLACION];
end;

procedure TEmpresas_RefreshBusinessProcessorRules.SetPOBLACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshPOBLACION] := aValue;
end;

function TEmpresas_RefreshBusinessProcessorRules.GetPROVINCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshPROVINCIA];
end;

function TEmpresas_RefreshBusinessProcessorRules.GetOldPROVINCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Empresas_RefreshPROVINCIA];
end;

procedure TEmpresas_RefreshBusinessProcessorRules.SetPROVINCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshPROVINCIA] := aValue;
end;

function TEmpresas_RefreshBusinessProcessorRules.GetCODIGO_POSTALValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshCODIGO_POSTAL];
end;

function TEmpresas_RefreshBusinessProcessorRules.GetOldCODIGO_POSTALValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Empresas_RefreshCODIGO_POSTAL];
end;

procedure TEmpresas_RefreshBusinessProcessorRules.SetCODIGO_POSTALValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshCODIGO_POSTAL] := aValue;
end;

function TEmpresas_RefreshBusinessProcessorRules.GetTELEFONO_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshTELEFONO_1];
end;

function TEmpresas_RefreshBusinessProcessorRules.GetOldTELEFONO_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Empresas_RefreshTELEFONO_1];
end;

procedure TEmpresas_RefreshBusinessProcessorRules.SetTELEFONO_1Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshTELEFONO_1] := aValue;
end;

function TEmpresas_RefreshBusinessProcessorRules.GetTELEFONO_2Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshTELEFONO_2];
end;

function TEmpresas_RefreshBusinessProcessorRules.GetOldTELEFONO_2Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Empresas_RefreshTELEFONO_2];
end;

procedure TEmpresas_RefreshBusinessProcessorRules.SetTELEFONO_2Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshTELEFONO_2] := aValue;
end;

function TEmpresas_RefreshBusinessProcessorRules.GetMOVIL_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshMOVIL_1];
end;

function TEmpresas_RefreshBusinessProcessorRules.GetOldMOVIL_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Empresas_RefreshMOVIL_1];
end;

procedure TEmpresas_RefreshBusinessProcessorRules.SetMOVIL_1Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshMOVIL_1] := aValue;
end;

function TEmpresas_RefreshBusinessProcessorRules.GetMOVIL_2Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshMOVIL_2];
end;

function TEmpresas_RefreshBusinessProcessorRules.GetOldMOVIL_2Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Empresas_RefreshMOVIL_2];
end;

procedure TEmpresas_RefreshBusinessProcessorRules.SetMOVIL_2Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshMOVIL_2] := aValue;
end;

function TEmpresas_RefreshBusinessProcessorRules.GetFAXValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshFAX];
end;

function TEmpresas_RefreshBusinessProcessorRules.GetOldFAXValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Empresas_RefreshFAX];
end;

procedure TEmpresas_RefreshBusinessProcessorRules.SetFAXValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshFAX] := aValue;
end;

function TEmpresas_RefreshBusinessProcessorRules.GetEMAIL_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshEMAIL_1];
end;

function TEmpresas_RefreshBusinessProcessorRules.GetOldEMAIL_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Empresas_RefreshEMAIL_1];
end;

procedure TEmpresas_RefreshBusinessProcessorRules.SetEMAIL_1Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshEMAIL_1] := aValue;
end;

function TEmpresas_RefreshBusinessProcessorRules.GetEMAIL_2Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshEMAIL_2];
end;

function TEmpresas_RefreshBusinessProcessorRules.GetOldEMAIL_2Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Empresas_RefreshEMAIL_2];
end;

procedure TEmpresas_RefreshBusinessProcessorRules.SetEMAIL_2Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshEMAIL_2] := aValue;
end;

function TEmpresas_RefreshBusinessProcessorRules.GetPAGINA_WEBValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshPAGINA_WEB];
end;

function TEmpresas_RefreshBusinessProcessorRules.GetOldPAGINA_WEBValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Empresas_RefreshPAGINA_WEB];
end;

procedure TEmpresas_RefreshBusinessProcessorRules.SetPAGINA_WEBValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshPAGINA_WEB] := aValue;
end;

function TEmpresas_RefreshBusinessProcessorRules.GetNOTASValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshNOTAS];
end;

function TEmpresas_RefreshBusinessProcessorRules.GetOldNOTASValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.OldValueByName[fld_Empresas_RefreshNOTAS];
end;

procedure TEmpresas_RefreshBusinessProcessorRules.SetNOTASValue(const aValue: IROStrings);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshNOTAS] := aValue.Text;
end;

function TEmpresas_RefreshBusinessProcessorRules.GetFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshFECHA_ALTA];
end;

function TEmpresas_RefreshBusinessProcessorRules.GetOldFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Empresas_RefreshFECHA_ALTA];
end;

procedure TEmpresas_RefreshBusinessProcessorRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshFECHA_ALTA] := aValue;
end;

function TEmpresas_RefreshBusinessProcessorRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshFECHA_MODIFICACION];
end;

function TEmpresas_RefreshBusinessProcessorRules.GetOldFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Empresas_RefreshFECHA_MODIFICACION];
end;

procedure TEmpresas_RefreshBusinessProcessorRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshFECHA_MODIFICACION] := aValue;
end;

function TEmpresas_RefreshBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshUSUARIO];
end;

function TEmpresas_RefreshBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Empresas_RefreshUSUARIO];
end;

procedure TEmpresas_RefreshBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshUSUARIO] := aValue;
end;

function TEmpresas_RefreshBusinessProcessorRules.GetLOGOTIPOValue: IROStream;
begin
  result := NewROStream();
  WriteVariantBinaryToBinary(BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshLOGOTIPO], result.Stream);
end;

function TEmpresas_RefreshBusinessProcessorRules.GetOldLOGOTIPOValue: IROStream;
begin
  result := NewROStream();
  WriteVariantBinaryToBinary(BusinessProcessor.CurrentChange.OldValueByName[fld_Empresas_RefreshLOGOTIPO], result.Stream);
end;

procedure TEmpresas_RefreshBusinessProcessorRules.SetLOGOTIPOValue(const aValue: IROStream);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshLOGOTIPO] := VariantBinaryFromBinary(aValue.Stream);
end;

function TEmpresas_RefreshBusinessProcessorRules.GetREGISTRO_MERCANTILValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshREGISTRO_MERCANTIL];
end;

function TEmpresas_RefreshBusinessProcessorRules.GetOldREGISTRO_MERCANTILValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Empresas_RefreshREGISTRO_MERCANTIL];
end;

procedure TEmpresas_RefreshBusinessProcessorRules.SetREGISTRO_MERCANTILValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshREGISTRO_MERCANTIL] := aValue;
end;

function TEmpresas_RefreshBusinessProcessorRules.GetIVAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshIVA];
end;

function TEmpresas_RefreshBusinessProcessorRules.GetOldIVAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Empresas_RefreshIVA];
end;

procedure TEmpresas_RefreshBusinessProcessorRules.SetIVAValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Empresas_RefreshIVA] := aValue;
end;


{ TEmpresasDatosBanco_RefreshBusinessProcessorRules }
constructor TEmpresasDatosBanco_RefreshBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TEmpresasDatosBanco_RefreshBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TEmpresasDatosBanco_RefreshBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBanco_RefreshID];
end;

function TEmpresasDatosBanco_RefreshBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasDatosBanco_RefreshID];
end;

procedure TEmpresasDatosBanco_RefreshBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBanco_RefreshID] := aValue;
end;

function TEmpresasDatosBanco_RefreshBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBanco_RefreshID_EMPRESA];
end;

function TEmpresasDatosBanco_RefreshBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasDatosBanco_RefreshID_EMPRESA];
end;

procedure TEmpresasDatosBanco_RefreshBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBanco_RefreshID_EMPRESA] := aValue;
end;

function TEmpresasDatosBanco_RefreshBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBanco_RefreshNOMBRE];
end;

function TEmpresasDatosBanco_RefreshBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasDatosBanco_RefreshNOMBRE];
end;

procedure TEmpresasDatosBanco_RefreshBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBanco_RefreshNOMBRE] := aValue;
end;

function TEmpresasDatosBanco_RefreshBusinessProcessorRules.GetENTIDADValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBanco_RefreshENTIDAD];
end;

function TEmpresasDatosBanco_RefreshBusinessProcessorRules.GetOldENTIDADValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasDatosBanco_RefreshENTIDAD];
end;

procedure TEmpresasDatosBanco_RefreshBusinessProcessorRules.SetENTIDADValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBanco_RefreshENTIDAD] := aValue;
end;

function TEmpresasDatosBanco_RefreshBusinessProcessorRules.GetSUCURSALValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBanco_RefreshSUCURSAL];
end;

function TEmpresasDatosBanco_RefreshBusinessProcessorRules.GetOldSUCURSALValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasDatosBanco_RefreshSUCURSAL];
end;

procedure TEmpresasDatosBanco_RefreshBusinessProcessorRules.SetSUCURSALValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBanco_RefreshSUCURSAL] := aValue;
end;

function TEmpresasDatosBanco_RefreshBusinessProcessorRules.GetDCValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBanco_RefreshDC];
end;

function TEmpresasDatosBanco_RefreshBusinessProcessorRules.GetOldDCValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasDatosBanco_RefreshDC];
end;

procedure TEmpresasDatosBanco_RefreshBusinessProcessorRules.SetDCValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBanco_RefreshDC] := aValue;
end;

function TEmpresasDatosBanco_RefreshBusinessProcessorRules.GetCUENTAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBanco_RefreshCUENTA];
end;

function TEmpresasDatosBanco_RefreshBusinessProcessorRules.GetOldCUENTAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasDatosBanco_RefreshCUENTA];
end;

procedure TEmpresasDatosBanco_RefreshBusinessProcessorRules.SetCUENTAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBanco_RefreshCUENTA] := aValue;
end;

function TEmpresasDatosBanco_RefreshBusinessProcessorRules.GetSUFIJO_N19Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBanco_RefreshSUFIJO_N19];
end;

function TEmpresasDatosBanco_RefreshBusinessProcessorRules.GetOldSUFIJO_N19Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasDatosBanco_RefreshSUFIJO_N19];
end;

procedure TEmpresasDatosBanco_RefreshBusinessProcessorRules.SetSUFIJO_N19Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBanco_RefreshSUFIJO_N19] := aValue;
end;

function TEmpresasDatosBanco_RefreshBusinessProcessorRules.GetSUFIJO_N58Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBanco_RefreshSUFIJO_N58];
end;

function TEmpresasDatosBanco_RefreshBusinessProcessorRules.GetOldSUFIJO_N58Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_EmpresasDatosBanco_RefreshSUFIJO_N58];
end;

procedure TEmpresasDatosBanco_RefreshBusinessProcessorRules.SetSUFIJO_N58Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_EmpresasDatosBanco_RefreshSUFIJO_N58] := aValue;
end;


initialization
  RegisterBusinessProcessorRules(RID_EmpresasDelta, TEmpresasBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_EmpresasDatosBancoDelta, TEmpresasDatosBancoBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_Empresas_RefreshDelta, TEmpresas_RefreshBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_EmpresasDatosBanco_RefreshDelta, TEmpresasDatosBanco_RefreshBusinessProcessorRules);

end.
